<?php

/**
 * @file
 * Plugin for entity background image.
 */

$plugin = array(
  'name' => 'image',
  'label' => t('Add background images to entities.'),
  'handler' => 'entity_background_image_decorator',
);

function entity_background_image_decorator($selector, $entity) {

  $wrapper = entity_metadata_wrapper('field_collection_item', $entity);
  $image = $wrapper->field_eb_image->value();
  // Get stored image style.
  $image_style = variable_get('entity_background_image_image_style', EB_IMAGE_STYLE);
  $resized_image = image_style_url($image_style, $image['uri']);

  $js_settings = array($selector => $resized_image);
  drupal_add_js(array('entity_background_image' => $js_settings), 'setting');
  drupal_add_js(drupal_get_path('module', 'entity_background_image') . '/plugins/entity_background/image.js');
  drupal_add_css(drupal_get_path('module', 'entity_background_image') . '/plugins/entity_background/image.css');
}
