<?php

/**
 * @file
 * Plugin for entity background parallax.
 */

$plugin = array(
  'name' => 'parallax',
  'label' => t('Add parallax images to paragraphs.'),
  'handler' => 'entity_background_parallax_decorator',
);

function entity_background_parallax_decorator($selector, $entity) {
  if (($library = libraries_load(EB_PARALLAX_LIBRARY)) && !empty($library['loaded'])) {
    $wrapper = entity_metadata_wrapper('field_collection_item', $entity);
    $speed = $wrapper->field_eb_parallax_speed->value();
    $image = $wrapper->field_eb_parallax_image->value();
    $image_url = file_create_url($image['uri']);
    // Build options.
    $options = array(
      'imageSrc' => $image_url,
    );
    // Add speed if present.
    if (!empty($speed)) {
      $options['speed'] = $speed;
    }

    $js_settings = array($selector => $options);
    drupal_add_js(array('entity_background_parallax' => $js_settings), 'setting');
    drupal_add_js(drupal_get_path('module', 'entity_background_parallax') . '/plugins/entity_background/parallax.js');
  }
}